# std::nested_exception::rethrow_nested

From cppreference.com
< cpp‎ | error‎ | nested exception

[[noreturn]] void rethrow_nested() const; |  | (since C++11)

Rethrows the stored exception. If there is no stored exceptions (i.e. nested_ptr() returns null pointer), then std::terminate is called.

### Parameters

(none)

### Return value

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/error/nested_exception/rethrow_nested&oldid=104985"